Upload Document
curl --request POST \
--url https://api.example.com/api/agents/{agentId}/knowledge/file \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/api/agents/{agentId}/knowledge/file"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/api/agents/{agentId}/knowledge/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"documentId": "<string>",
"status": "<string>"
}Knowledge Base
Upload Document
POST
/
api
/
agents
/
{agentId}
/
knowledge
/
file
Upload Document
Description
Upload a document to the knowledge base.Authentication
Required (API key or JWT token)Request Body
file
required
Document file (PDF, Word, Text, Markdown)
Response
boolean
Whether upload was successful
string
ID of the created document
string
Processing status (pending, processing, indexed, failed)
Was this page helpful?
⌘I